## python-pip-24.1.1-2.src.tar.zst

=== tests/requirements.txt ===
cffi @ https://github.com/python-cffi/cffi/archive/refs/heads/main.zip ; python_version > "3.12" # Temporary workaround for Python 3.13 until next CFFI release
cryptography
freezegun
installer
pytest
pytest-cov
pytest-rerunfailures
pytest-xdist
scripttest
setuptools
virtualenv < 20.0 ; python_version < '3.10'
virtualenv >= 20.0 ; python_version >= '3.10'
werkzeug
wheel
tomli-w
proxy.py

=== PKGBUILD ===
# Maintainer: atom2013 <atom.long@hotmail.com>

_realname=pip
pkgbase="python-${_realname}"
pkgname=("python-${_realname}")
pkgver=24.1.1
pkgrel=2
pkgdesc="The PyPA recommended tool for installing Python packages"
url="https://pip.pypa.io/"
msys2_repository_url="https://github.com/pypa/pip"
msys2_references=(
  "pypi:pip"
  "cpe: cpe:/a:pypa:pip"
)
arch=('any')
license=('spdx:MIT')
depends=(
  'python'
)
makedepends=(
  'python-build'
  'python-installer'
  'python-wheel'
  'python-setuptools'
)
provides=("python3-${_realname}")
replaces=("python3-${_realname}")
conflicts=("python3-${_realname}")
source=(${_realname}-${pkgver}.tar.gz::https://github.com/pypa/${_realname}/archive/${pkgver}.tar.gz)
sha256sums=('5fc497cd1651c39af0207b88eab91b6905ca9cecbae11ad99503b317f8b06def')

build() {
  cd "${srcdir}/${_realname}-${pkgver}"

  python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/${_realname}-${pkgver}"

  python -m installer --destdir="${pkgdir}" dist/*.whl
  rm "${pkgdir}"/usr/lib/python*/site-packages/pip/_vendor/distlib/*.exe

  install -D -m644 LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}
